jif.ast

## Interface AmbParamTypeOrAccess

- All Superinterfaces:
    polyglot.ast.Ambiguous, java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.Receiver, java.io.Serializable, polyglot.ast.Typed
  All Known Implementing Classes:
    AmbParamTypeOrAccess_c

      public interface AmbParamTypeOrAccess
      extends polyglot.ast.Receiver, polyglot.ast.Ambiguous

  An ambiguous parameter type or array access. It has the form `receiver[expr]`. expr is either an Expr or a String

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `expr()` Gets the expr.
    `polyglot.ast.Receiver` | `prefix()` Gets the prefix.

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.ast.Typed

      `type`

- - ### Method Detail

    - #### prefix

          polyglot.ast.Receiver prefix()

      Gets the prefix.

    - #### expr

          java.lang.Object expr()

      Gets the expr.